package Vererbung;

import java.util.ArrayList;

public class Dozent extends Person {
	
	private String uFach;
	
	private ArrayList<Person> anwesende;

	public Dozent(String name, String uFach) {
		super(name);
		this.uFach=uFach;
		this.anwesende = new ArrayList<>();

	}
	
	public void addPerson(Person p){
		this.anwesende.add(p);
	}
	
	public void removePerson(Person p){
		this.anwesende.remove(p);
	}
	
	public void anfangen(){
		
		int nrStudis = 0;
		int nrTechniker = 0;
		for(Person p : anwesende){
			if (p instanceof Student)
				nrStudis++;
			else if(p instanceof Techniker){
				((Techniker) p).ueberpruefen();
				nrTechniker++;
			}
		}
		
		if(nrTechniker>0 && nrStudis>3)
			System.out.println("Dozent "+super.getName()+" fngt an");
		else
			System.out.println("Kann leider nicht anfangen");
	}

}
